Archives

Archives / 2006 / September
  • Vista will NOT support Developers

    So first most of the meat was taken out of Vista, and the best of what remains (the poorly named .NET v3.0) runs on XP.  Now we find out that we can't use Vista for development, since VS 2003 (or 2002) won't be supported.  For that matter, even VS 2005 will require SP1 which is just now in beta, and even that we are told will have issues after its official release.  So (1) who actually wants, let alone needs, Vista, and (2) why does MS just keep screwing up and pushing out this stuff before its ready?  Don't get me wrong, as I like VS 2005 very much, but its no secret that MS made some bad decisions that still impacts a lot of people.  But even for those of us that do like VS 2005, most of us still have to continue to support VS 2003 also for some time.  And its not like this is the only thing that seems to not be ready with Vista, but this will pretty much guarantee developers won't move to Vista in large quantities.  So either MS should delay Vista until its really ready and useful for more than generating income, or we developers need to tell everyone to ignore Vista since its clearly not ready.  

    Read more...